Gentoo Logo

ISC DHCP: Denial of Service

Content:

1.  Gentoo Linux Security Advisory

Version Information

Advisory Reference GLSA 200808-05 / dhcp
Release Date August 06, 2008
Latest Revision August 06, 2008: 01
Impact normal
Exploitable remote
Package Vulnerable versions Unaffected versions Architecture(s)
net-misc/dhcp < 3.1.1 >= 3.1.1 All supported architectures

Related bugreports: #227135

Synopsis

A Denial of Service vulnerability was discovered in ISC DHCP.

2.  Impact Information

Background

ISC DHCP is ISC's reference implementation of all aspects of the Dynamic Host Configuration Protocol.

Description

A buffer overflow error was found in ISC DHCP server, that can only be exploited under unusual server configurations where the DHCP server is configured to provide clients with a large set of DHCP options.

Impact

A remote attacker could exploit this vulnerability to cause a Denial of Service.

3.  Resolution Information

Workaround

There is no known workaround at this time.

Resolution

All ISC DHCP users should upgrade to the latest version:

Code Listing 3.1: Resolution

# emerge --sync
# emerge --ask --oneshot --verbose ">=net-misc/dhcp-3.1.1"

4.  References



Print

Page updated August 06, 2008

Summary: This is a Gentoo Linux Security Advisory

Security Team
Contact Address

Donate to support our development efforts.

Copyright 2001-2014 Gentoo Foundation, Inc. Questions, Comments? Contact us.